One Trading API
REST API
WebSocket API
REST API
WebSocket API
  1. Trading
  • Public
    • Currencies
      GET
    • Instruments
      GET
    • Candlesticks
      GET
    • Fee Groups
      GET
    • Order Book
      GET
    • Market Ticker
      GET
    • Market Ticker For Instrument
      GET
    • Time
      GET
  • Trading
    • Get Orders
      GET
    • Create Order
      POST
    • Get Order by Client ID
      GET
    • Get Order by Order ID
      GET
    • Balances
      GET
    • Subaccounts
      GET
    • Fees
      GET
    • Get Trades for Order
      GET
    • Get Trade by Trade ID
      GET
    • Get Trades
      GET
    • Cancel All Orders
      DELETE
    • Cancel Order by Order ID
      DELETE
    • Cancel Order by Client ID
      DELETE
  • Futures
    • Introduction
    • Funding Rate Methodology
    • Funding Payments
      GET
    • Positions
      GET
    • Position Funding Payments
      GET
    • Funding Rate Settings
      GET
    • Get Futures Open Positions
      GET
    • Futures Portfolio Summary
      GET
    • Current Funding Rate
      GET
    • Funding Rate History
      GET
    • Funding Schedule
      GET
  • Funding
    • Transfer Subaccount Balance
      POST
    • Get Transactions
      GET
  1. Trading

Get Orders

GET
https://api.onetrading.com/fast/v1/account/orders
Returns a paginated list of orders, newest first. Requires any valid API key. This endpoint is rate-limited per account holder.
By default, if no params are provided, will return all open orders. In this mode from and to are ignored.
If with_cancelled_and_rejected and/or with_just_filled_inactive is set to true and no from/to is given, the lookback starts at the beginning (00:00 UTC) of the previous day.
A from and a to date can be provided. The maximum window size is 31 days. If a larger window is provided, you will receive a 400 INVALID_DATE_RANGE error.
from/to accept epoch (s, ms, µs or ns) or an ISO 8601 UTC timestamp ending in Z (or YYYY-MM-DD). from must be on or after 2024-01-01, not in the future, and strictly before to; to is inclusive.
cursor is an opaque string. Pass the value from the previous response unchanged; it is absent on the last page.
Unknown query parameters are rejected with 400 UNEXPECTED_PARAMETERS.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠429
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.onetrading.com/fast/v1/account/orders?from=2025-02-13T16%3A00%3A00.000Z&to=2025-11-14T10%3A00%3A00.000Z&instrument_code=BTC_EUR&with_cancelled_and_rejected=false&with_just_filled_inactive=false&with_just_orders=true&max_page_size=5&cursor=eyJlcG9jaCI6IjE3MzE0ODg1NDE4NzY1NzAwMDAifQ%3D%3D' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success Example
{
    "order_history": [
        {
            "order": {
                "account_id": "726288e6-a463-4f88-9068-024ae8f97a34",
                "order_id": "74eaf796-869b-4d49-ab39-2bc4fe10daeb",
                "client_id": "b8854ae6-4077-404b-ae0c-52a1fe318440",
                "amount": "1",
                "side": "SELL",
                "instrument_code": "SOL_EUR",
                "order_type": "API",
                "price": "140",
                "time": "2024-11-13T17:34:55.514Z",
                "time_nanos": "2024-11-13T17:34:55.514123456Z",
                "sequence": "58894260661",
                "total_fee": "0.29",
                "fee_currency": "EUR",
                "time_last_updated": "2024-11-13T17:34:55.514Z",
                "time_last_updated_nanos": "2024-11-13T17:34:55.514123456Z",
                "order_book_sequence": "58894260661",
                "filled_amount": "1",
                "status": "FILLED_FULLY",
                "average_price": "145.00"
            },
            "trades": [
                {
                    "fee": {
                        "fee_amount": "0.29",
                        "fee_currency": "EUR"
                    },
                    "trade": {
                        "trade_id": "f99a7e64-5478-44f3-b404-19aac53f2062",
                        "order_id": "74eaf796-869b-4d49-ab39-2bc4fe10daeb",
                        "account_id": "726288e6-a463-4f88-9068-024ae8f97a34",
                        "amount": "1",
                        "filled_amount": "1",
                        "side": "SELL",
                        "instrument_code": "SOL_EUR",
                        "price": "145",
                        "time": "2024-11-13T17:34:55.514Z",
                        "time_nanos": "2024-11-13T17:34:55.514123456Z",
                        "sequence": "58894260661",
                        "matched_as": "MAKER",
                        "order_type": "API"
                    }
                }
            ]
        },
        {
            "order": {
                "account_id": "726288e6-a463-4f88-9068-024ae8f97a34",
                "order_id": "d8e8e090-a142-4574-a875-36ef769eafe3",
                "client_id": "89e6b540-2497-4d08-b777-9cf363940cab",
                "amount": "3.3333",
                "side": "BUY",
                "instrument_code": "SOL_EUR",
                "order_type": "API",
                "price": "150",
                "time": "2024-11-13T15:40:04.430Z",
                "time_nanos": "2024-11-13T15:40:04.430981234Z",
                "sequence": "58894259835",
                "time_last_updated": "2024-11-13T15:40:04.430Z",
                "time_last_updated_nanos": "2024-11-13T15:40:04.430981234Z",
                "order_book_sequence": "58894259835",
                "filled_amount": "0",
                "status": "OPEN"
            },
            "trades": []
        }
    ],
    "from": "2024-11-12T00:00:00.000000000Z",
    "to": "2024-11-13T18:00:00.000000000Z",
    "max_page_size": 2,
    "cursor": "eyJlcG9jaCI6IjE3MzE1MTY4MDQ0MzA5ODEyMzQifQ=="
}
Previous
Time
Next
Create Order
Built with